คู่มือ aWhere
พัฒนาAPIcore-services

งานเบื้องหลัง

งานเบื้องหลังของผู้ใช้ เช่น การนำเข้าข้อมูล

แสดงงานเบื้องหลังของคุณ

GET
/api/job

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Query

status?unknown

Body ของคำตอบ

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

ล้างงานที่เสร็จแล้ว

DELETE
/api/job

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer.

application/json
  1. response
data?array<unknown>
curl -X DELETE "https://platform.example.com/api/job" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

อ่านงานหนึ่งงาน

GET
/api/job/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the job.

Body ของคำตอบ

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

ลบงานหนึ่งงาน

DELETE
/api/job/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the job.

Body ของคำตอบ

The answer.

application/json
  1. response
data?array<unknown>
curl -X DELETE "https://platform.example.com/api/job/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

อ่านบันทึกของงาน

GET
/api/job/{id}/logs

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the job.

พารามิเตอร์ใน Query

start?unknown
end?unknown

Body ของคำตอบ

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job/$ID/logs" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

อ่านความคืบหน้าของงาน

GET
/api/job/{id}/progress

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the job.

Body ของคำตอบ

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job/$ID/progress" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}